org.springframework.ldap.filter

## Class LessThanOrEqualsFilter

- java.lang.Object
- - org.springframework.ldap.filter.AbstractFilter
  - - org.springframework.ldap.filter.CompareFilter
    - - org.springframework.ldap.filter.LessThanOrEqualsFilter

- All Implemented Interfaces:
    Filter

      public class LessThanOrEqualsFilter
      extends CompareFilter

  A filter to compare <=. LDAP RFC does not allow < comparison. The following code:

       LessThanOrEqualsFilter filter = new LessThanOrEqualsFilter("cn", "Some CN");
       System.out.println(filter.ecode());

  would result in:

       (cn<=Some CN)

  Author:
    Mattias Hellborg Arthursson

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LessThanOrEqualsFilter(String attribute, int value)`
    `LessThanOrEqualsFilter(String attribute, String value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getCompareString()` Implement this method in subclass to return a String representing the operator.

    - ### Methods inherited from class org.springframework.ldap.filter.CompareFilter

      `encode, encodeValue, equals, hashCode`

    - ### Methods inherited from class org.springframework.ldap.filter.AbstractFilter

      `encode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LessThanOrEqualsFilter

          public LessThanOrEqualsFilter(String attribute,
                                        String value)

    - #### LessThanOrEqualsFilter

          public LessThanOrEqualsFilter(String attribute,
                                        int value)

  - ### Method Detail

    - #### getCompareString

          protected String getCompareString()

      Description copied from class: `CompareFilter`
      Implement this method in subclass to return a String representing the operator. The `EqualsFilter.getCompareString()` would for example return an equals sign, "=".
      Specified by:
        `getCompareString` in class `CompareFilter`
      Returns:
        the String to use as operator in the comparison for the specific subclass.